Đến nội dung


Hình ảnh

Giúp mình change width factor của Text


  • Please log in to reply
7 replies to this topic

#1 tuvanthietke.hcm

tuvanthietke.hcm

    biết lệnh array

  • Members
  • PipPipPip
  • 182 Bài viết
Điểm đánh giá: 4 (bình thường)

Đã gửi 07 April 2011 - 10:27 AM

Mình thay đổi trong text style và properties cũng không được là sao, bạn nào có lisp quét chọn text thì tất cả text có cùng 1 font, cùng hight và width factor. Cảm ơn. Đôi lúc MA không được và width factor=1. Text hay nhảy lắm
  • 0

#2 phamngoctukts

phamngoctukts

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1107 Bài viết
Điểm đánh giá: 696 (tốt)

Đã gửi 07 April 2011 - 10:46 AM

Mình thay đổi trong text style và properties cũng không được là sao, bạn nào có lisp quét chọn text thì tất cả text có cùng 1 font, cùng hight và width factor. Cảm ơn. Đôi lúc MA không được và width factor=1. Text hay nhảy lắm

Của bạn đây. Hi vọng bạn hài lòng

(defun c:matext()
(vl-load-com)
(setq ent (entget(car(entsel " chon text mau: ")))
sslist (acet-ss-to-list(ssget '((0 . "*TEXT"))))
)
(foreach n sslist
(entmod(subst (assoc 41 ent) (assoc 41 (entget n)) (entget n)))
(entmod(subst (assoc 7 ent) (assoc 7 (entget n)) (entget n)))
)
)

  • 0
Tất cả vì sự phát triển của diễn đàn ...
Cám ơn đừng nói lời suông mà hãy nhấn Hình đã gửi!

#3 tuvanthietke.hcm

tuvanthietke.hcm

    biết lệnh array

  • Members
  • PipPipPip
  • 182 Bài viết
Điểm đánh giá: 4 (bình thường)

Đã gửi 07 April 2011 - 11:34 AM

Của bạn đây. Hi vọng bạn hài lòng


(defun c:matext()
(vl-load-com)
(setq ent (entget(car(entsel " chon text mau: ")))
sslist (acet-ss-to-list(ssget '((0 . "*TEXT"))))
)
(foreach n sslist
(entmod(subst (assoc 41 ent) (assoc 41 (entget n)) (entget n)))
(entmod(subst (assoc 7 ent) (assoc 7 (entget n)) (entget n)))
)
)


Cảm ơn bạn, nhưng mình vẫn không change được width factor? bạn có thể giúp mình
  • 0

#4 phamngoctukts

phamngoctukts

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1107 Bài viết
Điểm đánh giá: 696 (tốt)

Đã gửi 07 April 2011 - 11:47 AM

Cảm ơn bạn, nhưng mình vẫn không change được width factor? bạn có thể giúp mình

ban up thu file mau cua ban lên xem text có bị thay đổi gì không. Mình đã test thử chạy ok rồi mà.
  • 0
Tất cả vì sự phát triển của diễn đàn ...
Cám ơn đừng nói lời suông mà hãy nhấn Hình đã gửi!

#5 tuvanthietke.hcm

tuvanthietke.hcm

    biết lệnh array

  • Members
  • PipPipPip
  • 182 Bài viết
Điểm đánh giá: 4 (bình thường)

Đã gửi 07 April 2011 - 01:07 PM

ban up thu file mau cua ban lên xem text có bị thay đổi gì không. Mình đã test thử chạy ok rồi mà.


Khi mà copy sang bản vẽ mới thì hiệu chỉnh được???
  • 0

#6 dovansinh

dovansinh

    biết pan

  • Advance Member
  • Pip
  • 6 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 18 May 2013 - 08:04 AM

Mình thay đổi trong text style và properties cũng không được là sao, bạn nào có lisp quét chọn text thì tất cả text có cùng 1 font, cùng hight và width factor. Cảm ơn. Đôi lúc MA không được và width factor=1. Text hay nhảy lắm

bạn chuyển dtext thành mtext sau đó explode mtext thành dtext là chỉnh sửa được width factor


  • 0
Đỗ Văn Sinh - 0936588006
Email: dovansinh@gmail.com
Skype: dovansinh
Yahoo: dovansinh_haui

#7 envirtech2002

envirtech2002

    biết vẽ polygon

  • Members
  • PipPip
  • 75 Bài viết
Điểm đánh giá: 7 (bình thường)

Đã gửi 18 May 2013 - 01:35 PM

Bạn thử up file bản vẽ lên xem bạn ơi?


  • 0
thered

#8 hopbuivan

hopbuivan

    biết pan

  • Members
  • Pip
  • 9 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 30 December 2015 - 01:58 PM

Lisp này rất hay nhưng không thay đổi được chiều cao text bạn ơi,


  • 0